diff --git a/engines/pegasus/neighborhood/norad/alpha/noradalpha.cpp b/engines/pegasus/neighborhood/norad/alpha/noradalpha.cpp
index 6a24113..744dff4 100644
--- a/engines/pegasus/neighborhood/norad/alpha/noradalpha.cpp
+++ b/engines/pegasus/neighborhood/norad/alpha/noradalpha.cpp
@@ -23,19 +23,27 @@
  *
  */
 
+#include "pegasus/cursor.h"
 #include "pegasus/energymonitor.h"
 #include "pegasus/gamestate.h"
+#include "pegasus/interface.h"
 #include "pegasus/pegasus.h"
 #include "pegasus/ai/ai_area.h"
+#include "pegasus/items/biochips/arthurchip.h"
 #include "pegasus/items/inventory/airmask.h"
 #include "pegasus/neighborhood/norad/constants.h"
 #include "pegasus/neighborhood/norad/subcontrolroom.h"
 #include "pegasus/neighborhood/norad/alpha/ecrmonitor.h"
 #include "pegasus/neighborhood/norad/alpha/fillingstation.h"
 #include "pegasus/neighborhood/norad/alpha/noradalpha.h"
+#include "pegasus/neighborhood/norad/alpha/subchase.h"
 
 namespace Pegasus {
 
+static const ExtraID kShowThermalScan = 1000;
+
+static const HotSpotID kThermalScanHotSpotID = 10000;
+
 const uint32 NoradAlpha::_noradAlphaClawExtras[22] = {
 	kN22ClawFromAToB,
 	kN22ClawALoop,
@@ -61,7 +69,9 @@ const uint32 NoradAlpha::_noradAlphaClawExtras[22] = {
 	kN22ClawDClockwise
 };
 
-NoradAlpha::NoradAlpha(InputHandler *nextHandler, PegasusEngine *owner) : Norad(nextHandler, owner, "Norad Alpha", kNoradAlphaID) {
+NoradAlpha::NoradAlpha(InputHandler *nextHandler, PegasusEngine *owner)
+	: Norad(nextHandler, owner, "Norad Alpha", kNoradAlphaID),
+	_thermalScanSpot(kThermalScanHotSpotID), _extraMovie(kNoDisplayElement) {
 	_elevatorUpRoomID = kNorad11South;
 	_elevatorDownRoomID = kNorad12South;
 	_elevatorUpSpotID = kNorad12ElevatorUpSpotID;
@@ -82,10 +92,10 @@ NoradAlpha::NoradAlpha(InputHandler *nextHandler, PegasusEngine *owner) : Norad(
 	_lowerPressureDoorDownSpotID = kAlphaLowerPressureDoorDownSpotID;
 	_lowerPressureDoorAbortSpotID = kNorad21WestOutSpotID;
 
-	_pressureSoundIn = kPressureDoorIntro1In;
-	_pressureSoundOut = kPressureDoorIntro1Out;
-	_equalizeSoundIn = kPressureDoorIntro2In;
-	_equalizeSoundOut = kPressureDoorIntro2Out;
+	_pressureSoundIn = kAlphaPressureDoorIntro1In;
+	_pressureSoundOut = kAlphaPressureDoorIntro1Out;
+	_equalizeSoundIn = kAlphaPressureDoorIntro2In;
+	_equalizeSoundOut = kAlphaPressureDoorIntro2Out;
 	_accessDeniedIn = kAlphaAccessDeniedIn;
 	_accessDeniedOut = kAlphaAccessDeniedOut;
 
@@ -97,9 +107,22 @@ NoradAlpha::NoradAlpha(InputHandler *nextHandler, PegasusEngine *owner) : Norad(
 	setIsItemTaken(kGasCanister);
 }
 
+NoradAlpha::~NoradAlpha() {
+	if (_vm->isDVD())
+		_vm->getAllHotspots().remove(&_thermalScanSpot);
+}
+
 void NoradAlpha::init() {
 	Norad::init();
 
+	_extraMovieCallBack.setNotification(&_neighborhoodNotification);
+
+	if (_vm->isDVD()) {
+		_thermalScanSpot.setArea(Common::Rect(216, 112, 336, 312));
+		_thermalScanSpot.setHotspotFlags(kNeighborhoodSpotFlag | kClickSpotFlag);
+		_vm->getAllHotspots().push_back(&_thermalScanSpot);
+	}
+	
 	Hotspot *hotspot = _vm->getAllHotspots().findHotspotByID(kN01GasCanisterSpotID);
 	hotspot->setMaskedHotspotFlags(kPickUpItemSpotFlag, kPickUpItemSpotFlag);
 	HotspotInfoTable::Entry *hotspotEntry = findHotspotEntry(kN01GasCanisterSpotID);
@@ -208,7 +231,7 @@ void NoradAlpha::getExtraCompassMove(const ExtraTable::Entry &entry, FaderMoveSp
 }
 
 void NoradAlpha::playClawMonitorIntro() {
-	playSpotSoundSync(kLoadClawIntroIn, kLoadClawIntroOut);
+	playSpotSoundSync(kAlphaLoadClawIntroIn, kAlphaLoadClawIntroOut);
 }
 
 GameInteraction *NoradAlpha::makeInteraction(const InteractionID interactionID) {
@@ -217,6 +240,8 @@ GameInteraction *NoradAlpha::makeInteraction(const InteractionID interactionID)
 		return new NoradAlphaECRMonitor(this);
 	case kNoradFillingStationInteractionID:
 		return new NoradAlphaFillingStation(this);
+	case kNoradSubChaseInteractionID:
+		return new SubChase(this);
 	}
 
 	return Norad::makeInteraction(interactionID);
@@ -247,17 +272,27 @@ void NoradAlpha::loadAmbientLoops() {
 				play unmanned loop
 */
 
-	if (!GameState.getNoradSeenTimeStream())
+	if (!GameState.getNoradSeenTimeStream() || !g_interface || _vm->getEnergyDeathReason() == kDeathSubDestroyed)
 		return;
 
 	RoomID room = GameState.getCurrentRoom();
 	if (GameState.getNoradGassed()) {
-		if (room >= kNorad11 && room <= kNorad19West)
-			loadLoopSound1("Sounds/Norad/NEW SUB AMB.22K.AIFF", kNoradWarningVolume * 3);
-		else if (room >= kNorad21 && room <= kNorad22West)
-			loadLoopSound1("Sounds/Norad/SUB CONTRL LOOP.22K.AIFF", kNoradWarningVolume * 3);
-		else
-			loadLoopSound1("Sounds/Norad/WARNING LOOP.22K.AIFF", kNoradWarningVolume);
+		if (room >= kNorad11 && room <= kNorad19West) {
+			if (_vm->isDVD())
+				loadLoopSound1("Sounds/Norad/NEW SUB AMB.44K.AIFF", kNoradWarningVolume * 3);
+			else
+				loadLoopSound1("Sounds/Norad/NEW SUB AMB.22K.AIFF", kNoradWarningVolume * 3);
+		} else if (room >= kNorad21 && room <= kNorad22West) {
+			if (_vm->isDVD())
+				loadLoopSound1("Sounds/Norad/SUB CONTRL LOOP.32K.AIFF", kNoradWarningVolume * 3);
+			else
+				loadLoopSound1("Sounds/Norad/SUB CONTRL LOOP.22K.AIFF", kNoradWarningVolume * 3);
+		} else {
+			if (_vm->isDVD())
+				loadLoopSound1("Sounds/Norad/WARNING LOOP.32K.AIFF", kNoradWarningVolume);
+			else
+				loadLoopSound1("Sounds/Norad/WARNING LOOP.22K.AIFF", kNoradWarningVolume);
+		}
 	} else {
 		loadLoopSound1("");
 	}
@@ -317,8 +352,14 @@ void NoradAlpha::arriveAt(const RoomID room, const DirectionConstant direction)
 	case kNorad04:
 		arriveAtNorad04();
 		break;
+	case kNorad07:
+		if (_vm->isDVD() && GameState.getLastRoom() == kNorad06)
+			startExtraSequence(kShowThermalScan, kExtraCompletedFlag, kFilterNoInput);
+		break;
 	case kNorad07North:
 		GameState.setScoringSawUnconsciousOperator(true);
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA70", kArthurNoradSawUnconsciousOperator);
 		break;
 	case kNorad11:
 		GameState.setScoringWentThroughPressureDoor(true);
@@ -330,11 +371,30 @@ void NoradAlpha::arriveAt(const RoomID room, const DirectionConstant direction)
 }
 
 void NoradAlpha::arriveAtNorad01() {
-	if (!GameState.getNoradSeenTimeStream() && GameState.getCurrentDirection() == kSouth) {
-		GameState.setNoradN22MessagePlayed(false);
-		requestExtraSequence(kNoradArriveFromTSA, kExtraCompletedFlag, kFilterNoInput);
-		// You are no match for me, human.
-		requestExtraSequence(kNorad01RobotTaunt, kExtraCompletedFlag, kFilterNoInput);
+	Item *argonCanister, *nitrogenCanister;
+
+	switch (GameState.getCurrentDirection()) {
+	case kSouth:
+		if (!GameState.getNoradSeenTimeStream()) {
+			GameState.setNoradN22MessagePlayed(false);
+			requestExtraSequence(kNoradArriveFromTSA, kExtraCompletedFlag, kFilterNoInput);
+			// You are no match for me, human.
+			requestExtraSequence(kNorad01RobotTaunt, kExtraCompletedFlag, kFilterNoInput);
+		}
+		break;
+	case kEast:
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA33", kArthurNoradAtSecurityMonitor);
+		break;
+	case kWest:
+		if (GameState.getLastRoom() == kNorad01West) {
+			argonCanister = g_allItems.findItemByID(kArgonCanister);
+			nitrogenCanister = g_allItems.findItemByID(kNitrogenCanister);
+			if (((GameState.isTakenItemID(kArgonCanister) && argonCanister->getItemState() != kArgonFull) ||
+				(GameState.isTakenItemID(kNitrogenCanister) && nitrogenCanister->getItemState() != kNitrogenFull)) && g_arthurChip)
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA34", kArthurNoradDidntFillCanisters);
+		}			
+		break;
 	}
 }
 
@@ -359,20 +419,103 @@ void NoradAlpha::arriveAtNorad22() {
 	}
 }
 
+void NoradAlpha::turnTo(const DirectionConstant direction) {
+	Norad::turnTo(direction);
+	if (GameState.getCurrentRoomAndView() == MakeRoomView(kNorad01, kEast) && g_arthurChip)
+		g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA33", kArthurNoradAtSecurityMonitor);
+}
+
 void NoradAlpha::bumpIntoWall() {
 	requestSpotSound(kAlphaBumpIntoWallIn, kAlphaBumpIntoWallOut, kFilterNoInput, 0);
 	Neighborhood::bumpIntoWall();
 }
 
+void NoradAlpha::startExtraSequence(const ExtraID extraID, const NotificationFlags flags, const InputBits interruptionFilter) {
+	TimeValue segmentStart = 0, segmentStop = 0;
+	bool loopSequence = false;
+	Common::Rect pushBounds;
+	NotificationFlags extraFlags;
+
+	switch (extraID) {
+	case kShowThermalScan:
+		_turnPush.getBounds(pushBounds);
+		
+		switch (extraID) {
+		case kShowThermalScan:
+			_extraMovie.initFromMovieFile("Images/Norad Alpha/N07NS.movie");
+			segmentStart = 0;
+			segmentStop = _extraMovie.getDuration();
+			loopSequence = false;
+			break;
+		default:
+			break;
+		}
+		
+		_lastExtra = extraID;
+		_turnPush.hide();
+		
+		if (!loopSequence && g_AIArea)
+			g_AIArea->lockAIOut();
+		
+		extraFlags = flags;
+		_interruptionFilter = interruptionFilter;
+		// Stop the nav movie before doing anything else
+		_navMovie.stop();
+		_navMovie.stopDisplaying();
+		
+		_extraMovie.setVolume(_vm->getSoundFXLevel());
+		_extraMovie.moveElementTo(pushBounds.left, pushBounds.top);
+		_extraMovie.setDisplayOrder(kNavMovieOrder + 1);
+		_extraMovie.startDisplaying();
+		_extraMovie.show();
+		_extraMovie.setFlags(0);
+		_extraMovie.setSegment(segmentStart, segmentStop);
+		_extraMovie.setTime(segmentStart);
+		if (loopSequence)
+			_extraMovie.setFlags(kLoopTimeBase);
+		else
+			extraFlags |= kNeighborhoodMovieCompletedFlag;
+		_extraMovieCallBack.cancelCallBack();
+		_extraMovieCallBack.initCallBack(&_extraMovie, kCallBackAtExtremes);
+		if (extraFlags != 0) {
+			_extraMovieCallBack.setCallBackFlag(extraFlags);
+			_extraMovieCallBack.scheduleCallBack(kTriggerAtStop, 0, 0);
+		}
+		_extraMovie.start();
+		break;
+	default:
+		Neighborhood::startExtraSequence(extraID, flags, interruptionFilter);
+		break;
+	}
+}
+
 void NoradAlpha::receiveNotification(Notification *notification, const NotificationFlags flags) {
 	if ((flags & kExtraCompletedFlag) != 0) {
 		switch (_lastExtra) {
+		case kShowThermalScan:
+			_interruptionFilter = kFilterAllInput;
+			_extraMovie.stopDisplaying();
+			_extraMovie.releaseMovie();
+			_navMovie.startDisplaying();
+			break;
+		case kNorad19ExitToSub:
+			if (_vm->isDVD()) {
+				_interruptionFilter = kFilterAllInput;
+				_vm->_cursor->hide();
+				setNextHandler(_vm);
+				throwAwayInterface();
+				loadLoopSound1("");
+				newInteraction(kNoradSubChaseInteractionID);
+				GameState.setScoringEnteredSub(true);
+			}
+			break;
 		case kNoradArriveFromTSA:
 			GameState.setNoradSeenTimeStream(true);
 			loadAmbientLoops();
 			break;
 		case kNorad01RobotTaunt:
-			g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Norad/XN01SB", false, kWarningInterruption);
+			if (g_AIArea->isChattyAI())
+				g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Norad/XN01SB", false, kWarningInterruption);
 			_interruptionFilter = kFilterAllInput;
 			makeContinuePoint();
 			break;
@@ -389,11 +532,38 @@ void NoradAlpha::receiveNotification(Notification *notification, const Notificat
 			startExtraSequence(kNorad22SouthFinish, kExtraCompletedFlag, kFilterNoInput);
 			break;
 		case kNorad22SouthFinish:
+			if (g_arthurChip)
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBB29", kArthurNoradSawSubMessage);
 			_interruptionFilter = kFilterAllInput;
 			// Force ArriveAt to do its thing...
 			GameState.setCurrentRoom(kNorad21);
 			arriveAt(kNorad22, kSouth);
 			break;
+		case kN22ClawFromAToB:
+		case kN22ClawAPinch:
+		case kN22ClawACounterclockwise:
+		case kN22ClawAClockwise:
+		case kN22ClawFromBToA:
+		case kN22ClawFromBToC:
+		case kN22ClawFromBToD:
+		case kN22ClawBPinch:
+		case kN22ClawBCounterclockwise:
+		case kN22ClawBClockwise:
+		case kN22ClawFromCToB:
+		case kN22ClawCPinch:
+		case kN22ClawCCounterclockwise:
+		case kN22ClawCClockwise:
+		case kN22ClawFromDToB:
+		case kN22ClawDPinch:
+		case kN22ClawDCounterclockwise:
+		case kN22ClawDClockwise:
+			if (g_arthurChip) {
+				if (_vm->getRandomBit())
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA64", kArthurNoradPlayedWithClaw);
+				else
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA66", kArthurNoradPlayedWithClaw);
+			}
+			break;
 		}
 	}
 
@@ -490,10 +660,23 @@ TimeValue NoradAlpha::getViewTime(const RoomID room, const DirectionConstant dir
 	return Norad::getViewTime(room, direction);
 }
 
+void NoradAlpha::setSoundFXLevel(const uint16 level) {
+	SubChase *chase;
+
+	Neighborhood::setSoundFXLevel(level);
+	if (_currentInteraction != NULL && GameState.getScoringEnteredSub()) {
+		chase = (SubChase *)_currentInteraction;
+		if (chase->_subMovie.isMovieValid())
+			chase->_subMovie.setVolume(level);
+	}
+}
+
 void NoradAlpha::turnOnFillingStation() {
 	if (GameState.getCurrentRoom() == kNorad01West && !GameState.getNoradFillingStationOn()) {
 		GameState.setNoradFillingStationOn(true);
 		updateViewFrame();
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA72", kArthurNoradSawFillingStation);
 	}
 }
 
@@ -545,6 +728,10 @@ void NoradAlpha::activateHotspots() {
 			}
 		}
 		break;
+	case MakeRoomView(kNorad07, kNorth):
+		if (_vm->isDVD())
+			_vm->getAllHotspots().activateOneHotspot(kThermalScanHotSpotID);
+		break;
 	case MakeRoomView(kNorad10, kEast):
 		if (GameState.isCurrentDoorOpen())
 			_vm->getAllHotspots().deactivateOneHotspot(kNorad10DoorSpotID);
@@ -568,6 +755,9 @@ void NoradAlpha::clickInHotspot(const Input &input, const Hotspot *cursorSpot) {
 				hotspotEntry->hotspotItem = item->getObjectID();
 			}
 		}
+	} else if (GameState.getCurrentRoomAndView() == MakeRoomView(kNorad07, kNorth) &&
+				cursorSpot->getObjectID() == kThermalScanHotSpotID) {
+		startExtraSequence(kShowThermalScan, kExtraCompletedFlag, kFilterNoInput);
 	}
 }
 
diff --git a/engines/pegasus/neighborhood/norad/alpha/noradalpha.h b/engines/pegasus/neighborhood/norad/alpha/noradalpha.h
index 582d6c2..ef209d3 100644
--- a/engines/pegasus/neighborhood/norad/alpha/noradalpha.h
+++ b/engines/pegasus/neighborhood/norad/alpha/noradalpha.h
@@ -31,11 +31,13 @@
 namespace Pegasus {
 
 class Item;
+class SubChase;
 
 class NoradAlpha : public Norad {
+friend class SubChase;
 public:
 	NoradAlpha(InputHandler *, PegasusEngine *);
-	virtual ~NoradAlpha() {}
+	virtual ~NoradAlpha();
 
 	virtual void init();
 	void start();
@@ -77,6 +79,8 @@ public:
 
 	void checkContinuePoint(const RoomID, const DirectionConstant);
 
+	void setSoundFXLevel(const uint16);
+
 	bool canSolve();
 	void doSolve();
 
@@ -90,6 +94,9 @@ protected:
 	virtual void arriveAtNorad22();
 
 	virtual void arriveAt(const RoomID, const DirectionConstant);
+	virtual void turnTo(const DirectionConstant);
+
+	virtual void startExtraSequence(const ExtraID, const NotificationFlags, const InputBits);
 
 	virtual void getZoomEntry(const HotSpotID, ZoomTable::Entry &);
 	virtual TimeValue getViewTime(const RoomID, const DirectionConstant);
@@ -102,6 +109,11 @@ protected:
 
 	void bumpIntoWall();
 
+	Hotspot _thermalScanSpot;
+
+	Movie _extraMovie;
+	NotificationCallBack _extraMovieCallBack;
+
 	Item *_fillingStationItem;
 
 	bool _subPrepFailed;
diff --git a/engines/pegasus/neighborhood/norad/alpha/subchase.cpp b/engines/pegasus/neighborhood/norad/alpha/subchase.cpp
new file mode 100644
index 0000000..861227d
--- /dev/null
+++ b/engines/pegasus/neighborhood/norad/alpha/subchase.cpp
@@ -0,0 +1,455 @@
+/* ScummVM - Graphic Adventure Engine
+ *
+ * ScummVM is the legal property of its developers, whose names
+ * are too numerous to list here. Please refer to the COPYRIGHT
+ * file distributed with this source distribution.
+ *
+ * Additional copyright for this file:
+ * Copyright (C) 1995-2013 Presto Studios, Inc.
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ */
+
+#include "pegasus/pegasus.h"
+#include "pegasus/gamestate.h"
+#include "pegasus/neighborhood/norad/alpha/subchase.h"
+#include "pegasus/neighborhood/norad/alpha/noradalpha.h"
+#include "pegasus/neighborhood/norad/constants.h"
+
+namespace Pegasus {
+
+static const TimeScale kSubChaseScale = 600;
+
+static const DisplayOrder kSubChaseOrder = 27000;
+
+// Segment start and end points.
+
+static const TimeValue kIntroStart = 0;
+static const TimeValue kIntroEnd = 2400;
+static const TimeValue kDialogStart = kIntroEnd;
+static const TimeValue kDialogEnd = 20920;
+static const TimeValue kBranch1Start = kDialogEnd;
+static const TimeValue kBranch1End = 32120;
+static const TimeValue kBranch2LeftStart = kBranch1End;
+static const TimeValue kBranch2LeftEnd = 48080;
+static const TimeValue kBranch3Start = kBranch2LeftEnd;
+static const TimeValue kBranch3End = 61080;
+static const TimeValue kBranch4Start = kBranch3End;
+static const TimeValue kBranch4End = 84080;
+static const TimeValue kBranch5Start = kBranch4End;
+static const TimeValue kBranch5End = 94840;
+static const TimeValue kBranch6Start = kBranch5End;
+static const TimeValue kBranch6End = 106040;
+static const TimeValue kBranch7LeftStart = kBranch6End;
+static const TimeValue kBranch7LeftEnd = 118840;
+static const TimeValue kExitStart = kBranch7LeftEnd;
+static const TimeValue kExitEnd = 133200;
+static const TimeValue kBranch2RightStart = 133200;
+static const TimeValue kBranch2RightEnd = 149160;
+static const TimeValue kBranch7RightStart = 168000;
+static const TimeValue kBranch7RightEnd = 180800;
+
+// Death start and end points.
+
+static const TimeValue kDeath4Start = 149160;
+static const TimeValue kDeath4End = 158040;
+static const TimeValue kDeath5Start = kDeath4End;
+static const TimeValue kDeath5End = 163760;
+static const TimeValue kDeath6Start = kDeath5End;
+static const TimeValue kDeath6End = 168000;
+static const TimeValue kDeath7Start = 180800;
+static const TimeValue kDeath7End = 187040;
+
+// Chase state.
+
+enum {
+	kSubDialog,
+	kSubBranch1,
+	kSubBranch2Left,
+	kSubBranch2Right,
+	kSubBranch3,
+	kSubBranch4,
+	kSubBranch5,
+	kSubBranch6,
+	kSubBranch7Left,
+	kSubBranch7Right,
+	kSubExit
+};
+
+void HintTimerEvent::fire() {
+	subChase->hintTimerExpired(*this);
+}
+
+void BlinkTimerEvent::fire() {
+	subChase->blinkTimerExpired(*this);
+}
+
+SubChase::SubChase(Neighborhood *handler) : ChaseInteraction(kNoradSubChaseInteractionID, handler,
+						kNoradSubChaseNotificationID, (PegasusEngine *)g_engine), _subMovie(kNoDisplayElement),
+						_hintPict(kNoDisplayElement), _blinkPict(kNoDisplayElement), _canSteerSub(true) {
+}
+
+void SubChase::openInteraction() {
+	_subMovie.initFromMovieFile("Images/Norad Alpha/Sub Chase Movie");
+	_subMovie.setVolume(((PegasusEngine *)g_engine)->getSoundFXLevel());
+	_subMovie.moveElementTo(0, 0);
+	_subMovie.setDisplayOrder(kSubChaseOrder);
+	_subMovie.startDisplaying();
+	_subMovie.show();
+	
+	_subCallBack.setNotification(&_chaseNotification);
+	_subCallBack.initCallBack(&_subMovie, kCallBackAtExtremes);
+	
+	ChaseInteraction::openInteraction();
+	
+	_steerPict.setDisplayOrder(kSubChaseOrder + 1);
+	_steerPict.moveElementTo(kNoradSubSteerLeft, kNoradSubSteerTop);
+	
+	_hintPict.initFromPICTFile("Images/Norad Alpha/Sub Chase steerk1.pict", true);
+	_hintPict.setDisplayOrder(kSubChaseOrder + 1);
+	_hintPict.moveElementTo(kNoradSubHintLeft, kNoradSubHintTop);
+	_blinkPict.initFromPICTFile("Images/Norad Alpha/Sub Chase steerk0.pict", true);
+	_blinkPict.setDisplayOrder(kSubChaseOrder + 1);
+	_blinkPict.moveElementTo(kNoradSubHintLeft, kNoradSubHintTop);
+}
+
+void SubChase::initInteraction() {
+	_canSteerSub = !GameState.getWalkthroughMode();
+
+	_owner->playMovieSegment(&_subMovie, kIntroStart, kIntroEnd);
+
+	_subCallBack.scheduleCallBack(kTriggerAtStop, 0, 0);
+
+	if (_canSteerSub) {
+		_steerPict.startDisplaying();
+		_hintPict.startDisplaying();
+		_blinkPict.startDisplaying();
+		startHintTimer(20000 - kDialogStart, kSubChaseScale, kStartedHint);
+		_subCallBack.setCallBackFlag(kChaseEnteredBranchZone);
+		_subMovie.setSegment(kDialogStart, kBranch1End - kDecisionTime);
+	} else {
+		_subCallBack.setCallBackFlag(kChaseFinished);
+		_subMovie.setSegment(kDialogStart, kExitEnd);
+	}
+
+	_subState = kSubDialog;
+	_subMovie.setTime(kDialogStart);
+	_subMovie.start();
+	
+	ChaseInteraction::initInteraction();
+}
+
+void SubChase::closeInteraction() {
+	_subMovie.stop();
+	_subMovie.stopDisplaying();
+	_subMovie.releaseMovie();
+	_subCallBack.releaseCallBack();
+	
+	_hintPict.hide();
+	_hintPict.deallocateSurface();
+	
+	_blinkPict.hide();
+	_blinkPict.deallocateSurface();
+	
+	ChaseInteraction::closeInteraction();
+}
+
+void SubChase::receiveNotification(Notification *notification, const NotificationFlags flags) {
+	if (notification == &_chaseNotification && flags == kChaseFinished) {
+		if (_subState != kSubDialog && _subState != kSubExit) {
+			// We died
+			((NoradAlpha *)_owner)->die(kDeathSubDestroyed);
+		} else {
+			_subMovie.stopDisplaying();
+			((PegasusEngine *)g_engine)->_gfx->enableErase();
+			((PegasusEngine *)g_engine)->_gfx->updateDisplay();
+			((PegasusEngine *)g_engine)->_gfx->disableErase();
+			((PegasusEngine *)g_engine)->jumpToNewEnvironment(kNoradDeltaID, kNorad41, kEast);
+		}
+	}
+	ChaseInteraction::receiveNotification(notification, flags);
+}
+
+void SubChase::handleInput(const Input &input, const Hotspot *cursorSpot) {
+	if (_subMovie.getTime() < kBranch1Start && input.anyInput()) {
+		if (_canSteerSub) {
+			if (!_blinkFuse.isFuseLit()) {
+				// If the hint is not blinking then it must not be running, so display it
+				_hintPict.show();
+				startBlinkTimer(10, 10, kEnteredBlinkState);
+			}
+			_subState = kSubBranch1;
+			startHintTimer(3000, kSubChaseScale, kEndedHint);
+		} else {
+			_subState = kSubExit;
+		}
+		_subMovie.setTime(kBranch1Start);
+	} else {
+		ChaseInteraction::handleInput(input, cursorSpot);
+	}
+}
+
+void SubChase::setUpBranch() {
+	TimeValue branchStart, branchEnd;
+	
+	branchStart = 0;
+	branchEnd = 0;
+	switch (_subState) {
+	case kSubDialog:
+	case kSubBranch1:
+		branchStart = kBranch1End - kDecisionTime;
+		branchEnd = kBranch1End;
+		break;
+	case kSubBranch2Left:
+		branchStart = kBranch2LeftEnd - kDecisionTime;
+		branchEnd = kBranch2LeftEnd;
+		break;
+	case kSubBranch2Right:
+		branchStart = kBranch2RightEnd - kDecisionTime;
+		branchEnd = kBranch2RightEnd;
+		break;
+	case kSubBranch3:
+		branchStart = kBranch3End - kDecisionTime;
+		branchEnd = kBranch3End;
+		break;
+	case kSubBranch4:
+		branchStart = kBranch4End - kDecisionTime;
+		branchEnd = kBranch4End;
+		break;
+	case kSubBranch5:
+		branchStart = kBranch5End - kDecisionTime;
+		branchEnd = kBranch5End;
+		break;
+	case kSubBranch6:
+		branchStart = kBranch6End - kDecisionTime;
+		branchEnd = kBranch6End;
+		break;
+	case kSubBranch7Left:
+		branchStart = kBranch7LeftEnd - kDecisionTime;
+		branchEnd = kBranch7LeftEnd;
+		break;
+	case kSubBranch7Right:
+		branchStart = kBranch7RightEnd - kDecisionTime;
+		branchEnd = kBranch7RightEnd;
+		break;
+	default:
+		break;
+	}
+	
+	_subMovie.setSegment(branchStart, branchEnd);
+	
+	_subCallBack.setCallBackFlag(kChaseExitedBranchZone);
+	_subCallBack.scheduleCallBack(kTriggerAtStop, 0, 0);
+}
+
+void SubChase::branchLeft() {
+	TimeValue branchStart, branchEnd;
+	NotificationFlags flag;
+	
+	branchStart = 0;
+	branchEnd = 0;
+	flag = 0;
+	switch (_subState) {
+	case kSubDialog:
+	case kSubBranch1:
+		branchStart = kBranch2LeftStart;
+		branchEnd = kBranch2LeftEnd;
+		// Don't show the controls hint when we approach the whale
+		// since the branch segments here are identical
+		flag = kChaseExitedBranchZone;
+		_subState = kSubBranch2Left;
+		break;
+	case kSubBranch2Left:
+	case kSubBranch2Right:
+		branchStart = kBranch3Start;
+		branchEnd = kBranch3End - kDecisionTime;
+		flag = kChaseEnteredBranchZone;
+		_subState = kSubBranch3;
+		break;
+	case kSubBranch3:
+		branchStart = kBranch4Start;
+		branchEnd = kBranch4End - kDecisionTime;
+		flag = kChaseEnteredBranchZone;
+		_subState = kSubBranch4;
+		break;
+	case kSubBranch4:
+		branchStart = kDeath5Start;
+		branchEnd = kDeath5End;
+		flag = kChaseFinished;
+		_subState = kSubBranch5;
+		break;
+	case kSubBranch5:
+		branchStart = kBranch6Start;
+		branchEnd = kBranch6End - kDecisionTime;
+		flag = kChaseEnteredBranchZone;
+		_subState = kSubBranch6;
+		break;
+	case kSubBranch6:
+		branchStart = kBranch7LeftStart;
+		branchEnd = kBranch7LeftEnd;
+		flag = kChaseExitedBranchZone;
+		_subState = kSubBranch7Left;
+		break;
+	case kSubBranch7Left:
+	case kSubBranch7Right:
+		branchStart = kExitStart;
+		branchEnd = kExitEnd;
+		flag = kChaseFinished;
+		_subState = kSubExit;
+		break;
+	default:
+		break;
+	}
+	
+	_subMovie.setSegment(branchStart, branchEnd);
+	_subMovie.setTime(branchStart);
+	
+	_subCallBack.setCallBackFlag(flag);
+	_subCallBack.scheduleCallBack(kTriggerAtStop, 0, 0);
+}
+
+void SubChase::branchRight() {
+	TimeValue branchStart, branchEnd;
+	NotificationFlags flag;
+	
+	branchStart = 0;
+	branchEnd = 0;
+	flag = 0;
+	switch (_subState) {
+	case kSubDialog:
+	case kSubBranch1:
+		branchStart = kBranch2RightStart;
+		branchEnd = kBranch2RightEnd;
+		// Don't show the controls hint when we approach the whale
+		// since the branch segments here are identical
+		flag = kChaseExitedBranchZone;
+		_subState = kSubBranch2Right;
+		break;
+	case kSubBranch2Left:
+	case kSubBranch2Right:
+		branchStart = kBranch3Start;
+		branchEnd = kBranch3End - kDecisionTime;
+		flag = kChaseEnteredBranchZone;
+		_subState = kSubBranch3;
+		break;
+	case kSubBranch3:
+		branchStart = kDeath4Start;
+		branchEnd = kDeath4End;
+		flag = kChaseFinished;
+		_subState = kSubBranch4;
+		break;
+	case kSubBranch4:
+		branchStart = kBranch5Start;
+		branchEnd = kBranch5End - kDecisionTime;
+		flag = kChaseEnteredBranchZone;
+		_subState = kSubBranch5;
+		break;
+	case kSubBranch5:
+		branchStart = kDeath6Start;
+		branchEnd = kDeath6End;
+		flag = kChaseFinished;
+		_subState = kSubBranch6;
+		break;
+	case kSubBranch6:
+		if (((PegasusEngine *)g_engine)->getRandomBit()) {
+			branchStart = kBranch7RightStart;
+			branchEnd = kBranch7RightEnd;
+			flag = kChaseExitedBranchZone;
+		} else {
+			branchStart = kDeath7Start;
+			branchEnd = kDeath7End;
+			flag = kChaseFinished;
+		}
+		_subState = kSubBranch7Right;
+		break;
+	case kSubBranch7Left:
+	case kSubBranch7Right:
+		branchStart = kExitStart;
+		branchEnd = kExitEnd;
+		flag = kChaseFinished;
+		_subState = kSubExit;
+		break;
+	default:
+		break;
+	}
+
+	_subMovie.setSegment(branchStart, branchEnd);
+	_subMovie.setTime(branchStart);
+	
+	_subCallBack.setCallBackFlag(flag);
+	_subCallBack.scheduleCallBack(kTriggerAtStop, 0, 0);
+}
+
+void SubChase::dontBranch() {
+	if (((PegasusEngine *)g_engine)->getRandomBit())
+		branchLeft();
+	else
+		branchRight();
+}
+
+void SubChase::startHintTimer(TimeValue time, TimeScale scale, HintTimerCode code) {
+	if (_canSteerSub) {
+		_hintFuse.primeFuse(time, scale);
+		_hintEvent.subChase = this;
+		_hintEvent.theEvent = code;
+		_hintFuse.setFunctor(new Common::Functor0Mem<void, HintTimerEvent>(&_hintEvent, &HintTimerEvent::fire));
+		_hintFuse.lightFuse();
+	}
+}
+
+void SubChase::hintTimerExpired(HintTimerEvent &event) {
+	switch (event.theEvent) {
+	case kStartedHint:
+		_hintPict.show();
+		startBlinkTimer(10, 10, kEnteredBlinkState);
+		startHintTimer(3920, kSubChaseScale, kEndedHint);
+		break;
+	case kEndedHint:
+		_hintPict.hide();
+		_blinkPict.hide();
+		_blinkFuse.stopFuse();
+		break;
+	default:
+		break;
+	}
+}
+
+void SubChase::startBlinkTimer(TimeValue time, TimeScale scale, BlinkTimerCode code) {
+	_blinkFuse.primeFuse(time, scale);
+	_blinkEvent.subChase = this;
+	_blinkEvent.theEvent = code;
+	_blinkFuse.setFunctor(new Common::Functor0Mem<void, BlinkTimerEvent>(&_blinkEvent, &BlinkTimerEvent::fire));
+	_blinkFuse.lightFuse();
+}
+
+void SubChase::blinkTimerExpired(BlinkTimerEvent &event) {
+	switch (event.theEvent) {
+	case kEnteredBlinkState:
+		_hintPict.hide();
+		_blinkPict.show();
+		startBlinkTimer(5, 10, kExitedBlinkState);
+		break;
+	case kExitedBlinkState:
+		_blinkPict.hide();
+		_hintPict.show();
+		startBlinkTimer(10, 10, kEnteredBlinkState);
+		break;
+	default:
+		break;
+	}
+}
+
+} // End of namespace Pegasus
diff --git a/engines/pegasus/neighborhood/norad/alpha/subchase.h b/engines/pegasus/neighborhood/norad/alpha/subchase.h
new file mode 100644
index 0000000..6eeb6d5
--- /dev/null
+++ b/engines/pegasus/neighborhood/norad/alpha/subchase.h
@@ -0,0 +1,109 @@
+/* ScummVM - Graphic Adventure Engine
+ *
+ * ScummVM is the legal property of its developers, whose names
+ * are too numerous to list here. Please refer to the COPYRIGHT
+ * file distributed with this source distribution.
+ *
+ * Additional copyright for this file:
+ * Copyright (C) 1995-2013 Presto Studios, Inc.
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ */
+
+#ifndef PEGASUS_NEIGHBORHOOD_NORAD_ALPHA_SUBCHASE_H
+#define PEGASUS_NEIGHBORHOOD_NORAD_ALPHA_SUBCHASE_H
+
+#include "pegasus/chase.h"
+#include "pegasus/movie.h"
+
+namespace Pegasus {
+
+class NoradAlpha;
+class SubChase;
+
+enum HintTimerCode {
+	kStartedHint,
+	kEndedHint
+};
+
+struct HintTimerEvent {
+	SubChase *subChase;
+	HintTimerCode theEvent;
+
+	void fire();
+};
+
+enum BlinkTimerCode {
+	kEnteredBlinkState,
+	kExitedBlinkState
+};
+
+struct BlinkTimerEvent {
+	SubChase *subChase;
+	BlinkTimerCode theEvent;
+
+	void fire();
+};
+
+class SubChase : public ChaseInteraction {
+friend class NoradAlpha;
+friend struct HintTimerEvent;
+friend struct BlinkTimerEvent;
+public:
+
+	SubChase(Neighborhood *);
+	virtual ~SubChase() {}
+
+	void handleInput(const Input &, const Hotspot *);
+
+protected:
+
+	void openInteraction();
+	void initInteraction();
+	void closeInteraction();
+	
+	void receiveNotification(Notification *, const NotificationFlags);
+	
+	void startBranching();
+	void setUpBranch();
+	void branchLeft();
+	void branchRight();
+	void dontBranch();
+	
+	void startHintTimer(TimeValue, TimeScale, HintTimerCode);
+	void hintTimerExpired(HintTimerEvent &);
+	
+	void startBlinkTimer(TimeValue, TimeScale, BlinkTimerCode);
+	void blinkTimerExpired(BlinkTimerEvent &);
+	
+	Movie _subMovie;
+	NotificationCallBack _subCallBack;
+	Picture _hintPict;
+	Picture _blinkPict;
+	FuseFunction _hintFuse;
+	FuseFunction _blinkFuse;
+	
+	HintTimerEvent _hintEvent;
+	BlinkTimerEvent _blinkEvent;
+	
+	short _subState;
+
+	bool _canSteerSub;
+};
+
+} // End of namespace Pegasus
+
+#endif
